@import "../css/style.css";


.sidebar {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: 1.4rem 0.25rem;
    margin: 0%;
    width: 18%;
    top: 0;
    height: 100dvh;
    background-color: var(--color-fondo-sidebar);
    border-right: solid 1px var(--color-border-sidebar);
    position: fixed;
    transition: all 0.3s;
    z-index: 101;
    overflow-x: hidden;
    border-radius: 0px 0px 0px 0px;


}

.body-sidebar {
    width: 100%;
    max-height: 80dvh;
    overflow-y: auto;
}






.container-content {
    position: relative;
    width: 82%;
    left: 18%;
    transition: all 0.3s;
    overflow-y: auto;
}


/*/---------------------------------------------------/*/

/*/---------------------------------------------------/*/

/*/---------------------------------------------------/*/

/*/------------------HEADER SIDEBAR-------------------/*/

/*/---------------------------------------------------/*/

/*/---------------------------------------------------/*/

/*/---------------------------------------------------/*/
.header_sidebar {
    position: sticky;
    top: 0;
    width: 100%;
    height: 75px;
    text-align: center;
    align-content: center;
    z-index: 100;
}

.header_sidebar h1 {
    font-family: 'Outfit';
    width: 100%;
    height: 100px;
    font-size: 1.5rem;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--color-tipografia-sidebar);
    font-weight: 800;
    transition: all 0.3s ease;
    align-content: center;
}


/*/---------------------------------------------------/*/

/*/---------------------------------------------------/*/

/*/---------------------------------------------------/*/

/*/-----------------FOOTHER SIDEBAR-------------------/*/

/*/---------------------------------------------------/*/

/*/---------------------------------------------------/*/

/*/---------------------------------------------------/*/


.foother-sidebar {
    display: flex;
    flex-direction: column;
    text-align: center;
    width: 100%;
    padding: 1%;
    bottom: 0;
}

.container-session-destroy {
    padding: 1%;
    text-align: center;
    width: 100%;
    margin-top: 2%;
}

.container-session-destroy button {
    font-family: 'Outfit';
    font-size: 16px;
    width: 100%;
    height: 45px;
    border: none;
    border-radius: 10px;
    color: var(--color-tipografia-neutro-sidebar);
    border: solid 1px red;
    cursor: pointer;
    background-color: var(--color-item-closed-sidebar);
}

  .cerrar_sesion_movil{
    display: none !important;
  }

.container-menu-system {
    margin-top: 0%;
    width: 100%;
    height: 1px;
    border-bottom: solid 1px var(--color-border-sidebar);

}

.title-type-menu {
    font-family: 'Outfit';
    width: 100%;
    height: auto;
    padding: 2%;
    text-align: start;
    font-size: 16px;
    font-weight: 900;
    color: var(--color-tipografia-sidebar);
}

.menu {
    width: 85%;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    margin: auto;
}

.menu-item {
    position: relative;
    list-style: none;
    overflow: hidden;
}


.menu .menu-link {
    font-family: 'Outfit';
    display: flex;
    padding: 0.70rem 0;
    text-decoration: none;
    color: var(--color-tipografia-sidebar);
    border-radius: 0.3rem;

}


.menu-item:hover .menu-link,
.sub-menu .sub-menu-link:hover {
    background-color: var(--color-hover-item-sidebar);
    color: var(--color-tipografia-sidebar);
}




.menu-item.active .menu-link,
.menu-item.active .menu-link,
.menu-item.active .menu-link {
    border-radius: 8px;
    background-color: var(--color-item-active-sidebar);
    border: solid 1px var(--color-border-item-sidebar);
}

.menu-item.active .menu-link i,
.menu-item.active .menu-link span {
    color: var(--color-tipografia-active-sidebar);

}


.submenu_active .sub-menu-link i {
    margin-right: 4%;
    font-size: 1.3rem;
    padding: 0 0.2rem;
    color: var(--color-icon-sidebar);

}


.menu-link i {
    font-size: 1.50rem;
    padding: 0 0.8rem;
}

.menu-link i:last-child {
    margin-left: auto;
}

.menu-item.sub-menu-toggle .menu-link i:last-child {
    transform: rotate(180deg);
    transition: all 0.3s ease;
}


.menu-link span {
    font-size: 0.9rem;
    font-weight: 600;
    font-family: "Poppins", sans-serif;
    align-content: center;
    color: var(--color-tipografia-sidebar);

}



/*/submenu/*/
.sub-menu {
    min-width: 250px;
    height: 0;
    max-height: 500px;
    transition: all 0.3s ease;

}



.active .submenu_active {
    height: auto;
    max-height: 500px;

}


.active {
    background-color: var(--color-subItem-active-sidebar);
    color: var(--color-tipografia-sidebar);
}

.menu-item {
    height: auto;
    background-color: transparent;
}

.sub-menu .sub-menu-link {
    display: flex;
    margin-left: 2.5rem;
    padding: 0.80rem 0.5rem;
    font-size: 0.8rem;
    font-weight: 600;
    color: var(--color-tipografia-sidebar);
    text-decoration: none;
    border-radius: 0.3rem;
    font-family: "Poppins", sans-serif;
    margin-top: 1.5%;

}

.sub-menu::before {
    content: '';
    position: absolute;
    height: 100%;
    width: 0.07rem;
    margin-left: 1.4rem;
    background-color: darkgray;

}

.sidebar-btn {
    display: none;
}





.minimize-header {
    width: 0;
    left: -2%;
    transition: all 0.3s;
}

.maximize-header {
    width: 100%;
    left: 0;
    transition: all 0.3s;
}

/* Responsive /*/
@media (max-width:1500px) {
    .sidebar {
        width: 25%;
    }

    .container-content {
        position: relative;
        width: 75%;
        left: 25%;
        transition: all 0.3s;
    }

      .cerrar_sesion_movil{
    display: none !important;
  }




}

@media (max-width:750px) {
    .sidebar {
        width: 75%;
        justify-content: flex-start;
        transform: translateX(-100%);
        transition: transform 0.3s ease;
        overflow-y: auto;
    }

    .container-content {
        position: relative;
        width: 100%;

        left: 0%;
        transition: all 0.3s;
    }

    .body-sidebar {
        width: 100%;
        max-height: 100dvh;
        overflow-y: auto;
    }


    /*/submenu/*/
    .sub-menu {
        min-width: 250px;
        height: 0;
        max-height: 150px;
        transition: all 0.3s ease;
        overflow-y: auto;

    }

   

    .foother-sidebar {
        display: none;
        flex-direction: column;
        text-align: center;
        width: 100%;
        padding: 1%;
        bottom: 0;
    }

    .cerrar_sesion_movil {
        display: block !important;
        position: absolute;
        border-radius: 20px;
        height: auto;
        bottom: 0;
        margin-bottom: 5px;
        background-color: wheat;
    }

    .container-session-destroy {
        padding: 1%;
        text-align: center;
        width: 100%;
        margin-top: 2%;
    }

    .container-session-destroy button {
        font-family: 'Outfit';
        font-size: 16px;
        width: 100%;
        height: 45px;
        border: none;
        border-radius: 10px;
        color: var(--color-tipografia-neutro-sidebar);
        border: solid 1px darkblue;
        cursor: pointer;
        background-color: darkblue;
    }





    .active .submenu_active {
        height: auto;
        max-height: 150px;
        overflow-y: auto;
    }


    .sidebar::-webkit-scrollbar {
        width: 10px;

    }

    ::-webkit-scrollbar-thumb {
        background-color: none;
        background: none;
        height: 0px;
        border-radius: 0px;
    }

    ::-webkit-scrollbar-corner {
        height: 10px;
    }

    .active .submenu_active {
        height: auto;
        padding-bottom: 20%;
    }



    .header_sidebar {
        position: sticky;
        top: -25px;
        width: 100%;
        height: auto;
        background-color: var(--color-fondo-sidebar);
        text-align: center;
        align-content: center;
        z-index: 100;
    }

    .header_sidebar h1 {
        width: 100%;
        height: 40px;
        font-size: 1rem;
        font-family: Arial, Helvetica, sans-serif;
        color: var(--color-icon-two);
        font-weight: 900;
        transition: all 0.3s ease;
        color: darkgray;
        align-content: center;
    }

    .minimize .header_sidebar h1 {
        display: none;
    }

    #menu-btn {
        display: none;
    }



    .minimize {
        display: none;
    }


    .sidebar-btn {
        position: fixed;
        display: flex;
        width: 50px;
        height: 50px;
        padding: 1.2rem;
        left: 2%;
        top: 20px;
        background-color: var(--color-fondo);
        border: solid 1px var(--color-borde-one);
        border-radius: 100%;
        z-index: 102;
        align-items: center;
        justify-content: center;
        cursor: pointer;
    }

    .sidebar-btn-menu i:last-child {
        display: none;
    }

    .sidebar-btn i:last-child {
        display: none;
    }

    body.sidebar-hidden .sidebar {
        transform: translateX(0);
    }

    body.sidebar-hidden .sidebar-btn i:last-child {
        display: flex;
    }

    body.sidebar-hidden .sidebar-btn i:first-child {
        display: none;
    }

    main {
        padding: 2rem;
    }

    .header_menu {
        display: none;
    }
}